Name:           python-netaddr
Version:        0.9.0
Release:        1%{?dist}
Summary:        A pure Python network address representation and manipulation library
License:        BSD
URL:            http://github.com/drkjam/netaddr
Source0:        https://pypi.python.org/packages/source/n/netaddr/netaddr-%{version}.tar.gz

BuildArch:      noarch

%description
A system-independent network address manipulation library for Python 2.7
and 3.5+. (Python 2.7 and 3.5 support is deprecated).

Provides support for:

Layer 3 addresses

 - IPv4 and IPv6 addresses, subnets, masks, prefixes
 - iterating, slicing, sorting, summarizing and classifying IP networks
 - dealing with various ranges formats (CIDR, arbitrary ranges and globs, nmap)
 - set based operations (unions, intersections etc) over IP addresses and subnets
 - parsing a large variety of different formats and notations
 - looking up IANA IP block information
 - generating DNS reverse lookups
 - supernetting and subnetting

Layer 2 addresses

 - representation and manipulation MAC addresses and EUI-64 identifiers
 - looking up IEEE organisational information (OUI, IAB)
 - generating derived IPv6 addresses


%package -n python3-netaddr
Summary: A pure Python network address representation and manipulation library
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest

%description -n python3-netaddr
A system-independent network address manipulation library for Python 2.7
and 3.5+.

%prep
%autosetup -n netaddr-%{version}

find netaddr -name "*.py" | \
  xargs sed -i -e '1 {/^#!\//d}'



%build
%py3_build



%install
%py3_install



%check
py.test-%{python3_version}



%files -n python3-netaddr
%license COPYRIGHT
%doc AUTHORS CHANGELOG
%{_bindir}/netaddr
%{python3_sitelib}/*

%changelog
* Fri Sep 22 2023 jackeyji <jackeyji@tencent.com> - 0.9.0-1
- upgrade to 0.9.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 30 2022 cunshunxia <cunshunxia@tencent.com> - 0.8.0-1
- initial build
